import 'package:flutter/material.dart';
import 'package:rasadyar_core/core.dart';
import 'package:rasadyar_core/presentation/widget/loading/logic.dart';

class LoadingWidget extends StatelessWidget {
  LoadingWidget({super.key});

  final controller = Get.put(LoadingWidgetLogic());

  @override
  Widget build(BuildContext context) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,

      spacing: 16.h,
      children: [
        Center(
          child: Assets.anim.loading.lottie(width: 120.w, height: 120.h),
        ),

        FadeTransition(
          opacity: controller.textAnimation,
          child: Text(
            'در حال بارگذاری ...',
            style: AppFonts.yekan14.copyWith(color: AppColor.textColor),
          ),
        ),
      ],
    );
  }
}
